package org.jeecg.modules.energy.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.energy.entity.BuAirQuality;
import org.jeecg.modules.energy.entity.BuAirWater;
import org.jeecg.modules.energy.entity.BuElectric;

import java.util.List;

/**
 * @Description: bu_air_quality
 * @Author: jeecg-boot
 * @Date:   2024-05-09
 * @Version: V1.0
 */
public interface IBuAirQualityService extends IService<BuAirQuality> {

//    public BuAirQuality getBySensorId(String tableName, String sensorId);
    public List<BuAirQuality> getBySensorId(String tableName, String sensorId);
    public List<BuAirQuality> getAirQualityData();
    public List<BuAirQuality> getAirQualityByStatus();

    public List<BuAirQuality> getByTableName(String tableName);

    IPage<BuAirQuality> selectByDynamicTable(Page<BuAirQuality> page, String tableName, String deviceId, String sensorId, String beginTime, String endTime);
    List<BuAirQuality> selectByDynamicTable(String tableName, String deviceId, String sensorId, String beginTime, String endTime);
}
